=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-compressed-depth-image-transport
 Section: misc
-Priority: extra
-Maintainer: David Gossow <dgossow@willowgarage.com>
+Priority: optional
+Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport
 Homepage: http://www.ros.org/wiki/image_transport_plugins
 Standards-Version: 3.9.2
